summaryrefslogtreecommitdiffstats
path: root/bin/slxldd
diff options
context:
space:
mode:
authorOliver Tappe2008-03-20 01:04:16 +0100
committerOliver Tappe2008-03-20 01:04:16 +0100
commita0ce0340d0f95514008cfac751fe58748bbadd88 (patch)
tree844bb9e015f2fbcd83de54c3a63dd027b1218211 /bin/slxldd
parent* fixed several bugs with respect to the listing of plugins (as part of a system (diff)
downloadcore-a0ce0340d0f95514008cfac751fe58748bbadd88.tar.gz
core-a0ce0340d0f95514008cfac751fe58748bbadd88.tar.xz
core-a0ce0340d0f95514008cfac751fe58748bbadd88.zip
* Switched indent used in Perl-code and settings files from tabs to 4 spaces.
May need some manual corrections here and there, but should basically be ok. git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@1658 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'bin/slxldd')
-rwxr-xr-xbin/slxldd30
1 files changed, 15 insertions, 15 deletions
diff --git a/bin/slxldd b/bin/slxldd
index f7aade3f..8f070461 100755
--- a/bin/slxldd
+++ b/bin/slxldd
@@ -11,7 +11,7 @@
# General information about OpenSLX can be found at http://openslx.org/
# -----------------------------------------------------------------------------
# slxldd
-# - OpenSLX-rewrite of ldd that works on multiple architectures.
+# - OpenSLX-rewrite of ldd that works on multiple architectures.
# -----------------------------------------------------------------------------
use strict;
use warnings;
@@ -38,41 +38,41 @@ use OpenSLX::Basics;
use OpenSLX::LibScanner;
my %option = (
- rootPath => '/',
+ rootPath => '/',
);
GetOptions(
- 'help|?' => \$option{helpReq},
- 'man' => \$option{manReq},
- 'root-path=s' => \$option{rootPath},
- 'verbose' => \$option{verbose},
- 'version' => \$option{versionReq},
+ 'help|?' => \$option{helpReq},
+ 'man' => \$option{manReq},
+ 'root-path=s' => \$option{rootPath},
+ 'verbose' => \$option{verbose},
+ 'version' => \$option{versionReq},
)
or pod2usage(2);
pod2usage(-msg => $abstract, -verbose => 0, -exitval => 1) if $option{helpReq};
pod2usage(-verbose => 2) if $option{manReq};
if ($option{versionReq}) {
- system('slxversion');
- exit 1;
+ system('slxversion');
+ exit 1;
}
openslxInit();
if (!$option{rootPath}) {
- print STDERR _tr("You need to specify the root-path!\n");
- pod2usage(2);
+ print STDERR _tr("You need to specify the root-path!\n");
+ pod2usage(2);
}
$option{rootPath} =~ s[/+$][];
# remove trailing slashes
if (!@ARGV) {
- print STDERR _tr("You need to specify at least one file!\n");
- pod2usage(2);
+ print STDERR _tr("You need to specify at least one file!\n");
+ pod2usage(2);
}
my $libScanner = OpenSLX::LibScanner->new({
- 'root-path' => $option{rootPath},
- 'verbose' => $option{verbose},
+ 'root-path' => $option{rootPath},
+ 'verbose' => $option{verbose},
});
my @libs = $libScanner->determineRequiredLibs(@ARGV);